# Product

A Product represents something that can be purchased within the the Simple Store platform.

The Product object comprises both a standard set of default fields along with a flexible model to extend the product to meet your customisation needs.

The Product can be associated with Categories, Collection, Assets and Attributes.

### Portal View

![](/files/-M3usWqb-Mo8xWptoODv)

### Product Properties

{% tabs %}
{% tab title="Attributes" %}

| Element       | Description                                                                                                                                                                                                                                                                                                                                                           |
| ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| productId     | Unique Identifer for the Product                                                                                                                                                                                                                                                                                                                                      |
| slug          | A Url slug used to identify a product                                                                                                                                                                                                                                                                                                                                 |
| shortUrl      | A globally unique id identifier (see [QuickBuy](/getting-started/quickbuy.md))                                                                                                                                                                                                                                                                                        |
| version       | An incremental version number tracking changes to the Product configuration                                                                                                                                                                                                                                                                                           |
| title         | Default Title for the Product                                                                                                                                                                                                                                                                                                                                         |
| description   | Default Description for the Product                                                                                                                                                                                                                                                                                                                                   |
| titles        | <p>Dictionary (key, value) of alternate Titles other languages to support internationalisation (i18n) and localisation (l10n):</p><ul><li>Key = ja-JP</li><li>Value = \<Title in Japanese></li></ul>                                                                                                                                                                  |
| descriptions  | <p>Dictionary (key, value) of alternate Descriptions other languages to support internationalisation (i18n) and localisation (l10n), for example:</p><ul><li>Key = ja-JP</li><li>Value = \<Description in Japanese></li></ul>                                                                                                                                         |
| isActive      | Active (True) or InActive (False)                                                                                                                                                                                                                                                                                                                                     |
| status        | <p>Available = Product is Available</p><p>Out Of Stock = Product is Out of Stock</p><p>Discontinued = Product has been discontinued</p><p>Unavailable = Product is unavailable</p>                                                                                                                                                                                    |
| attributes    | Attributes are a list of Key/Value to support customisation of a product                                                                                                                                                                                                                                                                                              |
| categories    | One or many categories the Product is assigned to (see [Categories](/concepts/categories.md))                                                                                                                                                                                                                                                                         |
| collections   | One or many collections the Product is assigned to (see [Collections](/concepts/collections.md))                                                                                                                                                                                                                                                                      |
| files\[]      | One or many assets associated with the Product (see [Assets](/concepts/assets.md))                                                                                                                                                                                                                                                                                    |
| paymentMethod | <p>Defines the supported payment methods for a product:</p><p>CurrencyOnly = Can be paid with by currency ONLY, not eligible to be paid for with points</p><p>RewardsOrCurrency = Can be paid with currency or rewards points in full</p><p>RewardsOnly = Can be paid in rewards points ONLY</p><p>RewardsPlusPay = Can be paid with a mix of currency and points</p> |
| basePrice     | See [Pricing](/concepts/pricing.md)                                                                                                                                                                                                                                                                                                                                   |
| price         | See [Pricing](/concepts/pricing.md)                                                                                                                                                                                                                                                                                                                                   |
| baseRewards   | See [Rewards ](/concepts/rewards.md)                                                                                                                                                                                                                                                                                                                                  |
| rewards       | See [Rewards ](/concepts/rewards.md)                                                                                                                                                                                                                                                                                                                                  |
| inventory     | See [Inventory](/concepts/inventory.md)                                                                                                                                                                                                                                                                                                                               |
| {% endtab %}  |                                                                                                                                                                                                                                                                                                                                                                       |

{% tab title="Sample Object" %}

```
{
  "productId": "string",
  "slug": "string",
  "shortUrl": "string",
  "version": "string",
  "title": "string",
  "description": "string",
  "titles": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "descriptions": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "isActive": true,
  "status": "Available",
  "attributes": {},
  "categories": [
    {
      "key": "string",
      "value": "string",
      "slug": "string"
    }
  ],
  "collections": [
    {
      "key": "string",
      "value": "string",
      "slug": "string"
    }
  ],
  "files": [
    {
      "fileId": "string",
      "contentType": "string",
      "accessPermission": "string",
      "accessUrl": "string",
      "attributes": {},
      "edgeUrl": "string"
    }
  ],
  "paymentMethod": "CurrencyOnly",
  "basePrice"	{}
  "price"	{}
  "baseRewards"	{}
  "rewards"	{}
  "inventory"	{}
}
```

{% endtab %}
{% endtabs %}

####


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.simplestore.io/concepts/product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
